//---------------------------------------------------------------------------

#ifndef Unit2H
#define Unit2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "TOpenGLAPPanel.h"
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
typedef void __fastcall (__closure *TOpenGLPaintEvent)(Graphics::TBitmap	*Sender);
//---------------------------------------------------------------------------
class TForm2 : public TForm
{
__published:	// IDE-managed Components
	TOpenGLAPPanel *OpenGLAPPanel1;
	TTimer *TimerPaint;
	void __fastcall OpenGLAPPanel1Resize(TObject *Sender);
	void __fastcall OpenGLAPPanel1Paint(TObject *Sender);
	void __fastcall TimerPaintTimer(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall OpenGLAPPanel1Init(TObject *Sender);
private:	// User declarations
	TOpenGLPaintEvent FOnPaint;
	GLfloat rtri;	        	// Angle for the triangle ( NEW )
	GLfloat rquad;	        	// Angle for the quad     ( NEW )
	Graphics::TBitmap	*Bitmap;
	LARGE_INTEGER iFrequency, StartTime, StopTime;
public:		// User declarations
	float Fps;
	__property TOpenGLPaintEvent OnPaint = {read=FOnPaint, write=FOnPaint};
	bool __fastcall CopyToBitmap (Graphics::TBitmap *BitMap);
	bool __fastcall OffScreenRender ();
	bool __fastcall Render ();
	__fastcall TForm2(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm2 *Form2;
//---------------------------------------------------------------------------
#endif
